## org.omg.CORBA
Class CustomMarshalHelper

    java.lang.Object
      |
      +--org.omg.CORBA.CustomMarshalHelper

public class CustomMarshalHelper
extends java.lang.Object

Helper class for : CustomMarshal

Author:
  OpenORB Compiler

Constructor Summary
`CustomMarshalHelper()`

Method Summary
`static CustomMarshal` `extract(Any a)` Extract CustomMarshal from an any
`static java.lang.String` `id()` Return the CustomMarshal IDL ID
`static void` `insert(Any a, CustomMarshal t)` Insert CustomMarshal into an any
`static CustomMarshal` `read(InputStream istream)` Read CustomMarshal from a marshalled stream
`static TypeCode` `type()` Return the CustomMarshal TypeCode
`static void` `write(OutputStream ostream, CustomMarshal value)` Write CustomMarshal into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomMarshalHelper

    public CustomMarshalHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CustomMarshal t)

  Insert CustomMarshal into an any
  Parameters:
    `a` - an any
    `t` - CustomMarshal value

### extract

    public static CustomMarshal extract(Any a)

  Extract CustomMarshal from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CustomMarshal value

### type

    public static TypeCode type()

  Return the CustomMarshal TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CustomMarshal IDL ID
  Returns:
    an ID

### read

    public static CustomMarshal read(InputStream istream)

  Read CustomMarshal from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CustomMarshal value

### write

    public static void write(OutputStream ostream,
                             CustomMarshal value)

  Write CustomMarshal into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CustomMarshal value